## klatexformula 4.0.0

=== src/CMakeLists.txt ===
# ######################################## #
# CMake project file for klatexformula/src #
# ######################################## #
# $Id: CMakeLists.txt 1021 2017-02-07 06:44:42Z phfaist $
# ######################################## #


# Rely on CMake utilities for fixing up bundle dependencies
#
if(KLF_MACOSX_BUNDLES)
  include(BundleUtilities)
#include(KLFMacBundle)
endif(KLF_MACOSX_BUNDLES)


# Set up -DKLF_WS_<window-system-name> -DKLF_WS="..." to indicate window system in use
add_definitions("-DKLF_WS=\"${KLF_WS}\"")
string(TOUPPER "${KLF_WS}" klf_ws_uc)
add_definitions("-DKLF_WS_${klf_ws_uc}")


# include these subprojects...

add_subdirectory(klftools)

add_subdirectory(klfbackend)



# klatexformula main GUI program
# ------------------------------


if(KLF_BUILD_GUI)

  find_package(Qt5Sql REQUIRED)
  find_package(Qt5UiTools REQUIRED)
  find_package(Qt5LinguistTools REQUIRED)
  find_package(Qt5Svg REQUIRED)
  if(KLF_USE_DBUS)
    find_package(Qt5DBus REQUIRED)
  endif()
  if(KLF_WS STREQUAL "x11")
    find_package(Qt5X11Extras REQUIRED)
  endif()
  if(KLF_WS STREQUAL "win")
    find_package(Qt5WinExtras REQUIRED)
  endif()
  if(KLF_WS STREQUAL "mac")
    find_package(Qt5MacExtras REQUIRED)
  endif()

  # Sources
  set(klatexformula_SRCS
    klfconfig.cpp
    klflatexsymbols.cpp
    klfstyle.cpp
    klflibentryeditor.cpp
    klflibbrowser.cpp
    klflib.cpp
    klflibview.cpp
    klflibdbengine.cpp
    klfliblegacyengine.cpp
    klfexporter.cpp
    klfmime.cpp
    klfmainwin.cpp
    klfsettings.cpp
    klfstylemanager.cpp
    klfmain.cpp
    klfcmdiface.cpp
    klfuiloader.cpp
    main.cpp
    klfapp.cpp
    )
  # Headers with QObject classes (needs moc)
  set(klatexformula_MOCHEADERS
    klflatexsymbols.h
    klflatexsymbols_p.h
    klflibentryeditor.h
    klflibbrowser.h
    klflibbrowser_p.h
    klflib.h
    klflibview.h
    klflibview_p.h
    klflibdbengine.h
    klflibdbengine_p.h
    klfliblegacyengine.h
    klfliblegacyengine_p.h
    klfmime.h
#    klfmime_p.h
#    klfexporter.h
    klfexporter_p.h
    klfmainwin.h
    klfmainwin_p.h
    klfsettings.h
    klfsettings_p.h
    klfstylemanager.h
    klfcmdiface.h
    klfuiloader_p.h
    klfautoupdater.h
    klfapp.h
    )
  # UI Forms
  set(klatexformula_UIS
    klflatexsymbols.ui
    klflibbrowser.ui
    klflibentryeditor.ui
    klflibopenresourcedlg.ui
    klflibrespropeditor.ui
    klfliblocalfilewidget.ui
    klflibnewsubresdlg.ui
    klfmainwin.ui
    klfsettings.ui
    klfstylemanager.ui
    klfaboutdialog.ui
    klfwhatsnewdialog.ui
    klflibexportdialog.ui
    )
  # Translations
  set(klatexformula_TSS
    i18n/klf_fr.ts
    i18n/klf_cs.ts
    )
  # Resources
  set(klatexformula_QRCS
    klfres.qrc
    )

  add_executable(klatexformula ${klatexformula_SRCS})

  target_include_directories(klatexformula PUBLIC
    "${CMAKE_CURRENT_BINARY_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/klftools"
    "${CMAKE_CURRENT_SOURCE_DIR}/klfbackend")

  # Uis, Mocs, Qrcs
  qt5_wrap_ui(klatexformula_UIS_H ${klatexformula_UIS})
  qt5_wrap_cpp(klatexformula_MOC_CPPS ${klatexformula_MOCHEADERS})
  qt5_add_resources(klatexformula_QRC_CPPS ${klatexformula_QRCS})
  target_sources(klatexformula PRIVATE ${klatexformula_UIS_H} ${klatexformula_MOC_CPPS} ${klatexformula_QRC_CPPS})

  target_link_libraries(klatexformula
    Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml Qt5::Sql Qt5::Svg Qt5::UiTools klfbackend klftools)

  # Translations
  qt5_add_translation(klatexformula_QMS ${klatexformula_TSS})

  if (KLF_LIBKLFTOOLS_STATIC)
    # so that main.cpp knows that it has to initialize klftools' resource "klftools.qrc" manually
    target_compile_definitions(klatexformula PRIVATE -DKLF_LIBKLFTOOLS_STATIC)
  endif()

  set(klatexformula_post_build_commands )
  set(klatexformula_bundle_include_libs )

  # Adjustments for certain platforms and options -- special features
  if(KLF_WS STREQUAL "win")
    target_sources(klatexformula PRIVATE
      mswin/klfwinclipboard.cpp
      )
    target_link_libraries(klatexformula Qt5::WinExtras)
  endif()
  if(KLF_USE_WINSPARKLE)
    target_compile_definitions(klatexformula PUBLIC
      -DKLF_USE_WINSPARKLE -DKLF_WINSPARKLE_FEED_URL=\"${KLF_WINSPARKLE_FEED_URL}\")
    target_include_directories(${KLF_WINSPARKLE_DIR})
    qt5_wrap_cpp(klatexformula_MOC_CPPS_winsparkle mswin/klfwinsparkleupdater.h)
    target_sources(klatexformula PRIVATE
      mswin/klfwinsparkleupdater.cpp
      ${klatexformula_MOC_CPPS_winsparkle}
      )
    target_link_libraries(klatexformula "${KLF_WINSPARKLE_DIR}/WinSparkle.dll")
  endif()
  if(KLF_WS STREQUAL "mac")
    target_sources(klatexformula PRIVATE
      macosx/klfmacclipboard.cpp
      macosx/klfmainwin_mac.mm
      macosx/klfcmdifacedispatch_mac.mm
      )
    target_link_libraries(klatexformula Qt5::MacExtras)
    target_link_libraries(klatexformula "-framework Cocoa")
  endif()
  if(KLF_USE_SPARKLE)
    target_compile_definitions(klatexformula PRIVATE
      -DKLF_USE_SPARKLE -DKLF_SPARKLE_FEED_URL=\"${KLF_SPARKLE_FEED_URL}\")
    target_include_directories(klatexformula PRIVATE
      ${KLF_SPARKLE_FRAMEWORK}/Headers)
    qt5_wrap_cpp(klatexformula_MOC_CPPS_sparkle macosx/klfsparkleupdater.h)
    target_sources(klatexformula PRIVATE
      macosx/klfsparkleupdater.mm
      ${klatexformula_MOC_CPPS_sparkle}
      # also include in the bundle:
      "${KLF_SPARKLE_DSA_PUBKEY}"
      )
    target_link_libraries(klatexformula ${KLF_SPARKLE_FRAMEWORK})
  endif()
  if(KLF_MACOSX_BUNDLES)
    target_sources(klatexformula PRIVATE
      # more stuff we may want to import/copy privately in the App bundle
      macosx/qt.conf
      macosx/klatexformula.icns
      ${KLF_INCLUDE_FONTS}
      klatexformula-16.png
      klatexformula-32.png
      klatexformula-64.png
      klatexformula-128.png
      klatexformula-256.png
      klatexformula-512.png
      klatexformula-1024.png
      )
    if (KLF_USE_SPARKLE)
      # this is needed for inside the info.plist
      get_filename_component(KLF_SPARKLE_DSA_PUBKEY_BASENAME "${KLF_SPARKLE_DSA_PUBKEY}" NAME)
    endif ()
    # Set up the application bundle under Mac OS X
    set_target_properties(klatexformula PROPERTIES
      MACOSX_BUNDLE                      true
      OUTPUT_NAME                        klatexformula
      MACOSX_BUNDLE_ICON_FILE            klatexformula.icns
      MACOSX_BUNDLE_INFO_PLIST           "${CMAKE_CURRENT_SOURCE_DIR}/macosx/Info.plist.in"
      MACOSX_BUNDLE_INFO_STRING          "KLatexFormula version ${KLF_VERSION}"
      MACOSX_BUNDLE_GUI_IDENTIFIER       "org.klatexformula.klatexformula"
      MACOSX_BUNDLE_LONG_VERSION_STRING  "${KLF_VERSION}"
      MACOSX_BUNDLE_SHORT_VERSION_STRING "${KLF_VERSION}"
      MACOSX_BUNDLE_BUNDLE_VERSION       "${KLF_VERSION}"
      MACOSX_BUNDLE_BUNDLE_COPYRIGHT     "Copyright (C) 2016 Philippe Faist"
      )
    set_source_files_properties(
      klatexformula-16.png
      klatexformula-32.png
      klatexformula-64.png
      klatexformula-128.png
      klatexformula-256.png
      klatexformula-512.png
      klatexformula-1024.png
      macosx/klatexformula.icns
      PROPERTIES MACOSX_PACKAGE_LOCATION "Resources"
      )
    if(KLF_INCLUDE_FONTS)
      set_source_files_properties(${KLF_INCLUDE_FONTS} PROPERTIES
        MACOSX_PACKAGE_LOCATION "Resources/fonts"
        )
    endif()
    if(KLF_USE_SPARKLE)
      set_source_files_properties("${KLF_SPARKLE_DSA_PUBKEY}" PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
        )
    endif()
    if(KLF_MACOSX_BUNDLE_EXTRAS)
      if(KLF_BUNDLE_QT_PLUGINS)
	foreach(qtplugintgt ${KLF_BUNDLE_QT_PLUGINS})
          get_target_property(qtplugintgt_loc ${qtplugintgt} LOCATION)
          get_filename_component(qtplugindirfull ${qtplugintgt_loc} DIRECTORY)
          get_filename_component(qtplugintgt_fname ${qtplugintgt_loc} NAME)
          get_filename_component(qtplugindirname ${qtplugindirfull} NAME)
          #message("${qtplugintgt}: ${qtplugintgt_loc} ${qtplugindirname}")
          set(klatexformula_post_build_commands ${klatexformula_post_build_commands}
            COMMAND "${CMAKE_COMMAND}" "-E" "make_directory"
            "${CMAKE_CURRENT_BINARY_DIR}/klatexformula.app/Contents/plugins/${qtplugindirname}"
            COMMAND "${CMAKE_COMMAND}" "-E" "copy" "${qtplugintgt_loc}"
            "${CMAKE_CURRENT_BINARY_DIR}/klatexformula.app/Contents/plugins/${qtplugindirname}"
            )
          set(klatexformula_bundle_include_libs ${klatexformula_bundle_include_libs}
            "${CMAKE_CURRENT_BINARY_DIR}/klatexformula.app/Contents/plugins/${qtplugindirname}/${qtplugintgt_fname}"
            )
          # insert @executable_path/../plugins/<qt-plugin-dir-name> if not already in dirs list
          if(NOT ";${klatexformula_bundle_include_dirs};" MATCHES ";@executable_path/../plugins/${qtplugindirname};")
            set(klatexformula_bundle_include_dirs ${klatexformula_bundle_include_dirs}
              "@executable_path/../plugins/${qtplugindirname}")
          endif()
	endforeach()
      endif(KLF_BUNDLE_QT_PLUGINS)
      set_source_files_properties(
        macosx/qt.conf
        PROPERTIES MACOSX_PACKAGE_LOCATION "Resources"
        )
      set(APP_TO_FIXUP "${CMAKE_CURRENT_BINARY_DIR}/klatexformula.app")
      set(LIBS "${klatexformula_bundle_include_libs}")
      set(DIRS "${klatexformula_bundle_include_dirs}")
      configure_file("${CMAKE_SOURCE_DIR}/cmake/klf_fix_up_app_bundle.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/fix_up_klatexformula_app_bundle.cmake"
        @ONLY)
      set(klatexformula_post_build_commands ${klatexformula_post_build_commands}
        COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/fix_up_klatexformula_app_bundle.cmake"
        )
    endif(KLF_MACOSX_BUNDLE_EXTRAS)
  endif(KLF_MACOSX_BUNDLES)
  if(KLF_WS STREQUAL "x11")
    target_link_libraries(klatexformula Qt5::X11Extras)
    target_sources(klatexformula PRIVATE
      x11/klfx11.cpp
      )
  endif()
  if(KLF_USE_DBUS)
    target_compile_definitions(klatexformula PUBLIC -DKLF_USE_DBUS)
    qt5_wrap_cpp(klatexformula_MOC_CPPS_dbus klfdbus.h)
    target_sources(klatexformula PRIVATE
      klfdbus.cpp
      ${klatexformula_MOC_CPPS_dbus}
      )
    target_link_libraries(klatexformula Qt5::DBus)
  endif()
  if(KLF_DEBUG_USE_MODELTEST)
    target_compile_definitions(klatexformula PRIVATE -DKLF_DEBUG_USE_MODELTEST)
    qt5_wrap_cpp(klatexformula_MOC_CPPS_modeltest modeltest.h)
    target_sources(klatexformula PRIVATE
      modeltest.cpp
      ${klatexformula_MOC_CPPS_modeltest}
      )
  endif()

  if(KLF_NO_CMU_FONT)
    target_compile_definitions(klatexformula PRIVATE -DKLF_NO_CMU_FONT)
  endif()

  # Don't use CMAKE_INSTALL_PREFIX itself, as it is irrelevant for windows installers
  # we need relative path
  KLFMakeAbsInstallPath(abs_share_klf_data_dir KLF_INSTALL_SHARE_KLF_DATA_DIR)
  KLFRelativePath(klf_share_dir "${KLF_ABS_INSTALL_BIN_DIR}" "${abs_share_klf_data_dir}")
  if(KLF_MACOSX_BUNDLES OR IS_ABSOLUTE "${klf_share_dir}")
    set(klf_share_dir "") # let the program find out
  endif()
  if(klf_share_dir)
    KLFCMakeDebug("setting -DKLF_SHARE_DIR=\"${klf_share_dir}\"")
    target_compile_definitions(klatexformula PRIVATE -DKLF_SHARE_DIR="${klf_share_dir}")
  endif(klf_share_dir)

  #
  # extra data: create and include the klf_xtradata.qrc file
  #
  set(klf_xtradata_res "${CMAKE_CURRENT_BINARY_DIR}/klf_xtradata.qrc")
  file(WRITE "${klf_xtradata_res}" "<RCC>\n  <qresource prefix=\"i18n\">")
  #  - add translations
  foreach(qm ${klatexformula_QMS})
    get_filename_component(baseqmname  "${qm}"  NAME)
    file(APPEND "${klf_xtradata_res}"    "    <file alias=\"${baseqmname}\">${qm}</file>\n")
  endforeach(qm)
  file(APPEND "${klf_xtradata_res}" "  </qresource>\n")
  #  - add fonts
  file(APPEND "${klf_xtradata_res}" "  <qresource prefix=\"data/fonts\">\n")
  # with bundles, we include the file itself in the bundle, not in qrc (see QTBUG-30917):
  if(NOT KLF_MACOSX_BUNDLES)

=== src/klftools/CMakeLists.txt ===
# ################################################# #
# CMake project file for klatexformula/src/klftools #
# ################################################# #
# $Id: CMakeLists.txt 1019 2017-02-07 06:20:02Z phfaist $
# ################################################# #


if(KLF_BUILD_TOOLS)

  find_package(Qt5Xml REQUIRED)

  # Sources
  set(klftools_SRCS
    klfdefs.cpp
    klfdebug.cpp
    klfcolorchooser.cpp
    klfpobj.cpp
    klfutil.cpp
    klfsysinfo.cpp
    klfdatautil.cpp
    klfconfigbase.cpp
    klfguiutil.cpp
    klffactory.cpp
    klfpixmapbutton.cpp
    klfpathchooser.cpp
    qtcolortriangle.cpp
    klfdisplaylabel.cpp
    klfsearchbar.cpp
    klfunitinput.cpp
    klflatexedit.cpp
    klfrelativefont.cpp
    klfenumlistwidget.cpp
    klfflowlayout.cpp
    klfflowlistwidget.cpp
    klfsidewidget.cpp
    klfpobjeditwidget.cpp
    klfadvancedconfigeditor.cpp
    klfitemviewsearchtarget.cpp
    klfprogerr.cpp
    )
  # Headers
  #  * with QObject classes (needs moc)
  set(klftools_MOCHEADERS
    klfdebug.h
    klfcolorchooser.h
    klfcolorchooser_p.h
    klfpixmapbutton.h
    klfguiutil.h
    klfpathchooser.h
    qtcolortriangle.h
    klfdisplaylabel.h
    klfunitinput.h
    klfsearchbar.h
    klflatexedit.h
    klflatexedit_p.h
    klfrelativefont.h
    klfenumlistwidget.h
    klfflowlayout.h
    klfflowlistwidget.h
    klfflowlistwidget_p.h
    klfsidewidget.h
    klfsidewidget_p.h
    klfpobjeditwidget.h
    klfpobjeditwidget_p.h
    klfadvancedconfigeditor.h
    klfadvancedconfigeditor_p.h
    klfitemviewsearchtarget.h
    klfitemviewsearchtarget_p.h
    klfprogerr.h
    )
  #  * all headers
  set(klftools_HEADERS
    klfdefs.h
    klfutil.h
    klfsysinfo.h
    klfdatautil.h
    klfdatautil_p.h
    klfconfigbase.h
    klfpobj.h
    klffactory.h
    klfiteratorsearchable.h
    klfsearchbar_p.h
    ${klftools_MOCHEADERS}
    )
  # UI Forms
  set(klftools_UIS
    klfcolorchoosewidget.ui
    klfcolordialog.ui
    klfsearchbar.ui
    klfadvancedconfigeditor.ui
    klfprogerr.ui
    )
  # Resources
  set(klftools_QRCS
    ../klftoolsres.qrc
    )

  if (KLF_LIBKLFTOOLS_STATIC)
    add_library(klftools STATIC ${klftools_SRCS})
  else()
    add_library(klftools SHARED ${klftools_SRCS})
  endif()
  if (KLF_MACOSX_BUNDLES)
    set_target_properties(klftools PROPERTIES
      FRAMEWORK	TRUE
      )
  endif()
    
  target_link_libraries(klftools PUBLIC Qt5::Widgets Qt5::Gui Qt5::Core Qt5::Xml)

  # determine which headers are public and should be installed, and set the target property
  KLFInstHeaders(klftools_INSTHEADERS "${klftools_HEADERS}" "${CMAKE_CURRENT_SOURCE_DIR}")
  set_target_properties(klftools PROPERTIES
    VERSION		${KLF_LIB_VERSION}
    SOVERSION		${KLF_LIB_VERSION}
    PUBLIC_HEADER       "${klftools_INSTHEADERS}"
    )

  # our include directories
  target_include_directories(klftools PRIVATE "${CMAKE_CURRENT_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")

  # Uis, Mocs, Qrcs
  qt5_wrap_ui(klftools_UIS_H ${klftools_UIS})
  qt5_wrap_cpp(klftools_MOC_CPPS ${klftools_MOCHEADERS})
  qt5_add_resources(klftools_QRC_CPPS ${klftools_QRCS})
  target_sources(klftools PRIVATE ${klftools_SRCS} ${klftools_QRC_CPPS} ${klftools_UIS_H} ${klftools_MOC_CPPS})

  # window system specific code
  if(KLF_WS STREQUAL "mac")
    target_sources(klftools PRIVATE macosx/klfdrawerdefs.mm)
  endif()
  # OS specific code (not window system specific):
  if(APPLE)
    target_sources(klftools PRIVATE
      klfdefs_mac.mm
      )
    target_link_libraries(klftools PUBLIC "-framework IOKit")
    target_include_directories(klftools PRIVATE /System/Library/Frameworks/IOKit.framework/Headers)
    set(KLF_APPKIT "-framework AppKit" CACHE FILEPATH "Link to AppKit framework (path to library or link flags)")
    mark_as_advanced(KLF_APPKIT)
    target_link_libraries(klftools PRIVATE "${KLF_APPKIT}")
  elseif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    target_sources(klftools PRIVATE
      klfdefs_linux.cpp
      )
  elseif(WIN32)
    target_sources(klftools PRIVATE
      klfdefs_win.cpp
      )
  else()
    # no platform-specific definitions
  endif()


  # Qt Designer Plugin
  # ------------------
  if(KLF_BUILD_TOOLSDESPLUGIN)
    find_package(Qt5Designer REQUIRED)
    find_package(Qt5UiPlugin REQUIRED)

    add_library(klftoolsdesplugin MODULE  klftools_desplugin.cpp klftools_desplugin_collection.cpp)
    target_include_directories(klftoolsdesplugin PUBLIC ${Qt5Designer_INCLUDE_DIRS} ".")
    set_target_properties(klftoolsdesplugin PROPERTIES
      SKIP_RPATH FALSE
      AUTOMOC 1
      )
    target_link_libraries(klftoolsdesplugin  klftools Qt5::Core Qt5::Gui Qt5::Widgets
      Qt5::Designer Qt5::UiPlugin
      )
  endif()


  # Install Targets
  # ---------------

  KLFInstallLibrary(klftools KLF_INSTALL_KLFTOOLS_ "klftools")
  # No support for fixing up frameworks installed by "make install".

  if(KLF_BUILD_TOOLSDESPLUGIN AND KLF_INSTALL_KLFTOOLSDESPLUGIN)
    install(TARGETS klftoolsdesplugin  LIBRARY DESTINATION "${KLF_INSTALL_DESPLUGIN_DIR}")
  endif()


endif(KLF_BUILD_TOOLS)

=== debian/changelog ===
klatexformula (4.0.0-3) unstable; urgency=medium

  * libklatexformula4-dev breaks+replaces libklatexformula3-dev (Closes: #876457)

 -- Tobias Winchen <tobias@winchen.de>  Sun, 01 Oct 2017 11:36:17 +0200

klatexformula (4.0.0-2) unstable; urgency=medium

  * Added patch providing skeletons for OS dependent functions (Closes: #876291)

 -- Tobias Winchen <tobias@winchen.de>  Thu, 21 Sep 2017 19:52:59 +0200

klatexformula (4.0.0-1) unstable; urgency=medium

  [ Tobias Winchen ]
  * New upstream release
  * Updated to standards version 4.0.0
  * Added dependency on libqt5sql5-sqlite (Closes: #872717)
  * Updated maintainer e-mail address and vcs-git repository
  * Use manpage generated with help2man

  [ Juhani Numminen ]
  * Update further to standards version 4.1.0
    - Priority changed to optional as extra is now deprecated
  * Update to dh compat 10
    - Drop --parallel from dh $@
  * Call cmake through dh_auto_configure, allowing us to drop debian/clean
  * Enable Multi-Arch and mark lib* binary packages accordingly
  * Enable all hardening flags
  * Enable -Wl,--as-needed to avoid unnecessary dependencies
  * Disable rpaths using -DCMAKE_SKIP_RPATH=TRUE, drop Build-Dep on chrpath
  * Disable bundling of Computer Modern Unicode fonts into the executable
  * Add new binary package libklatexformula4-doc
    - New Build-Depends-Indep on doxygen and graphviz
    - New Build-Depends on jdupes for deduplication
    - Add Suggests in libklatexformula4-dev
    - Create debian/libklatexformula4-doc.doc-base
  * Install icons in usr/share/icons instead of usr/share/pixmaps
    - Install SVG icon using klatexformula.install
  * Edit and forward debian/patches/add_useful_whatis_entry_to_manpage
  * Separate description paragraphs, do not mention static libraries
  * Create lintian override as libklatexformula4 has two libraries
  * Rename debian/docs to debian/klatexformula.docs
  * Simplify watch file
  * Update homepage address
  * Update copyright years
  * Apply wrap-and-sort

 -- Tobias Winchen <tobias@winchen.de>  Sun, 17 Sep 2017 20:52:18 +0200

=== debian/control ===
Source: klatexformula
Section: tex
Priority: optional
Maintainer: Tobias Winchen <tobias@winchen.de>
Build-Depends: cmake,
               debhelper (>= 10),
               help2man,
               jdupes,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qttools5-dev
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.1.0
Vcs-Git: https://github.com/TobiasWinchen/klatexformula_debian.git
Vcs-Browser: https://github.com/TobiasWinchen/klatexformula_debian
Homepage: https://klatexformula.sourceforge.io/

Package: klatexformula
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Description: GUI to easily get an image from a LaTeX formula or equation
 With klatexformula, just enter a formula and click "Evaluate" to get an image
 of a LaTeX formula. You can drag&drop, copy or save the resulting image
 directly from the GUI, which makes klatexformula a very convenient tool for
 presentations. Klatexformula also provides also tools for equation prototyping
 in LaTeX and a user-library of used equations.

Package: libklatexformula4
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Runtime libraries for klatexformula
 With Klatexformula, just enter a formula and click "Evaluate" to get an image
 of a LaTeX formula. You can drag&drop, copy or save the resulting image
 directly from the GUI, which makes klatexformula a very convenient tool for
 presentations. Klatexformula also provides also tools for equation prototyping
 in LaTeX and a user-library of used equations.
 .
 This package provides the libraries klatexformula is based on.

Package: libklatexformula4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libklatexformula4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libklatexformula3-dev
Replaces: libklatexformula3-dev
Suggests: libklatexformula4-doc
Description: Runtime libraries for klatexformula, development files
 With Klatexformula, just enter a formula and click "Evaluate" to get an image
 of a LaTeX formula. You can drag&drop, copy or save the resulting image
 directly from the GUI, which makes klatexformula a very convenient tool for
 presentations. Klatexformula also provides also tools for equation prototyping
 in LaTeX and a user-library of used equations.
 .
 This package contains the header files for klatexformula libraries, and a Qt
 Designer plugin to help developers use the provided user interface elements.

Package: libklatexformula4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Runtime libraries for klatexformula, API documentation
 With Klatexformula, just enter a formula and click "Evaluate" to get an image
 of a LaTeX formula. You can drag&drop, copy or save the resulting image
 directly from the GUI, which makes klatexformula a very convenient tool for
 presentations. Klatexformula also provides also tools for equation prototyping
 in LaTeX and a user-library of used equations.
 .
 This package contains API documentation for developers who wish to use the
 klatexformula libraries klftools and klfbackend.

## klatexformula 4.0.0.1%2Brb2

=== debian/changelog ===
klatexformula (4.0.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Tobias Winchen <tobias@winchen.de>  Thu, 28 Jan 2021 10:42:11 +0800

klatexformula (4.0.0-4) unstable; urgency=medium

  [ Tobias Winchen ]
  * Updated to standards version 4.2.0
  * Switched to debhelper compat 11

  [ Juhani Numminen ]
  * Patch to add missing include (Closes: #907000)
  * add include QPainterPath

 -- Tobias Winchen <tobias@winchen.de>  Fri, 24 Aug 2018 09:34:23 +0200

## klatexformula 4.0.0.1+rb2

=== CMakeLists.txt ===
# #################################### #
# CMake project file for klatexformula #
# #################################### #
# $Id: CMakeLists.txt 1019 2017-02-07 06:20:02Z phfaist $
# #################################### #
cmake_minimum_required(VERSION 3.1)

PROJECT(klatexformula)

# Set up CMAKE properly

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")


if(APPLE)
  # find HomeBrew Qt5, if present
  set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} "/usr/local/opt/qt5/lib/cmake")
endif(APPLE)


# Read project version
file(READ "VERSION" klf_ver)
string(STRIP "${klf_ver}" KLF_VERSION)
message(STATUS "KLatexFormula Version ${KLF_VERSION}")
option(KLF_WELCOME_MSG_SILENT "Don't display welcome message" OFF)
if(NOT KLF_WELCOME_MSG_SILENT)
  message(STATUS "
   Welcome to the klatexformula build script. This CMake script will configure
   the klatexformula ${KLF_VERSION} build process for your system.

   Some settings will have to be detected. This script should be able to detect
   the correct settings for most systems. However, you may want to tune and even
   fine-tune this configuration in order to build and install the compenents you
   would like, and install them at your preferred locations.

   Each status message displays a default or detected value for a setting. In
   capital letters is given the corresponding CMake cache variable name, in case
   you want to change the setting. With command-line cmake, you can set a
   variable with:

     cmake <source-dir> -D<VARIABLE_NAME>=<VALUE>

   In most cases values are just 'ON' or 'OFF'. In some other cases they are
   paths. Non-absolute installation paths are understood as relative to
   CMAKE_INSTALL_PREFIX.

   But don't worry, most default values should be fine. Unless an error was
   reported during this script, you can type
       make
   and
       sudo make install
   to install klatexformula on your system.
   
   For more options and help:
      - look at the stored cache variable documentation (displayed eg. by cmake-gui
        and ccmake, or directly in the CMakeCache.txt file)
      - take a look at
http://klatexformula.sourceforge.net/klfwiki/index.php/User_Manual:Downloading_%26_Installing

   And have a lot of fun!

")
  message(STATUS "Displayed welcome message (KLF_WELCOME_MSG_SILENT)")
else(NOT KLF_WELCOME_MSG_SILENT)
  message(STATUS "Skipped welcome message (KLF_WELCOME_MSG_SILENT)")
endif(NOT KLF_WELCOME_MSG_SILENT)


# Extract KLF Version from VERSION file
set(klfversion_regex "([0-9]+)\\.([0-9]+)\\.([0-9]+)(.*)")
string(REGEX REPLACE "${klfversion_regex}" "\\1" KLF_VERSION_MAJ "${KLF_VERSION}")
string(REGEX REPLACE "${klfversion_regex}" "\\2" KLF_VERSION_MIN "${KLF_VERSION}")
string(REGEX REPLACE "${klfversion_regex}" "\\3" KLF_VERSION_REL "${KLF_VERSION}")
string(REGEX REPLACE "${klfversion_regex}" "\\4" KLF_VERSION_SUFFIX "${KLF_VERSION}")

# The version that the libraries will be tagged with
set(KLF_LIB_VERSION "${KLF_VERSION_MAJ}")

include(KLFUtil)


# Warn the user for defined cache variables that are not standard,
# i.e. may be a user's typo -- recent CMake does that automatically
#include(klfValidOptions)


# Set some project settings
# -------------------------

message(STATUS "")
message(STATUS "[BUILD SETTINGS]")

set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build configuration (Debug|Release|RelWithDebInfo)")

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build configuration (Debug|Release|RelWithDebInfo)" FORCE)
endif()
message(STATUS "CMake build type: ${CMAKE_BUILD_TYPE}")

if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  set(klf_debug_dflt 1)
else()
  set(klf_debug_dflt 0)
endif()
set(KLF_DEBUG "${klf_debug_dflt}" CACHE BOOL "Enable klf debugging messages (boolean)")

if(KLF_DEBUG)
  message(STATUS "Debugging messages in KLF libraries and applciation are enabled (KLF_DEBUG)")
else()
  message(STATUS "Debugging messages in KLF libraries and applciation are disabled (KLF_DEBUG)")
endif()

# experimental features -- currently no experimental features to enable
#
#option(KLF_EXPERIMENTAL
#  "DEVELOPERS ONLY. Enable experimental unstable features (NOT recommended for regular use!)"
#  off)
#mark_as_advanced(KLF_EXPERIMENTAL)
#if(KLF_EXPERIMENTAL)
#  KLFNote("WARNING: Experimental features are unstable and are meant only for developers!! Use at your own risk!!")
#  message(STATUS "Enabling experimental features (KLF_EXPERIMENTAL)")
#endif(KLF_EXPERIMENTAL)
set(KLF_EXPERIMENTAL 0)


#
# Find Qt 5
#
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Xml REQUIRED)

get_target_property(Qt5Core_location Qt5::Core LOCATION)
get_target_property(Qt5Gui_location Qt5::Gui LOCATION)
get_target_property(Qt5Widgets_location Qt5::Widgets LOCATION)
get_target_property(Qt5Xml_location Qt5::Xml LOCATION)
message(STATUS "Found minimal Qt5 components (use CMAKE_PREFIX_PATH=/path/to/qt/lib/cmake):
      - ${Qt5Core_location}
      - ${Qt5Gui_location}
      - ${Qt5Widgets_location}
      - ${Qt5Xml_location}")


#
# Decide which window system to use. This is independent of OS, say, theoretically we
# could compile an X11 version on a Mac (though not sure why we'd do it).
#
# This setting KLF_WS actually defines which additional features are included.  You can
# use make a fully ws-portable build with KLF_WS=other (disable all extra features).
#
if (APPLE)
  set(klf_ws_dflt "mac")
elseif(UNIX)
  set(klf_ws_dflt "x11")
elseif(WIN32)
  set(klf_ws_dflt "win")
else()
  set(klf_ws_dflt "other")
endif()
set(KLF_WS "${klf_ws_dflt}" CACHE STRING
  "Which window system to use (mac,x11,win,other) -- used to enable some additional platform-specific features")
if(KLF_WS STREQUAL "mac")
  message(STATUS "Enabling mac-specific features (KLF_WS=x11|mac|win|other)")
elseif(KLF_WS STREQUAL "x11")
  message(STATUS "Enabling X11-specific features (KLF_WS=x11|mac|win|other)")
elseif(KLF_WS STREQUAL "win")
  message(STATUS "Enabling windows-specific features (KLF_WS=x11|mac|win|other)")
elseif(KLF_WS STREQUAL "other")
  message(STATUS "Not enabling any window system specific feature (KLF_WS=x11|mac|win|other)")
else()
  message(FATAL_ERROR "Invalid setting for KLF_WS=${KLF_WS}.  Please Select one of \"mac\", \"win\", \"x11\" or \"other\".")
endif()

#
# by default, libraries are dynamic unless overridden by user options
#
set(klf_default_libraries_static 0)

#
# KLFTOOLS
#

# must be set to ON if you want to build anything at all.
option(KLF_BUILD_TOOLS "Build klatexformula tools library (klftools). Necessary for everything else." 1)
option(KLF_LIBKLFTOOLS_STATIC "Build a static klftools library" ${klf_default_libraries_static})
if(KLF_BUILD_TOOLS)
  message(STATUS "Will build the klftools library (KLF_BUILD_TOOLS)")
  if(KLF_LIBKLFTOOLS_STATIC)
    message(STATUS "Building a static KLatexFormula tools library (klftools) (KLF_LIBKLFTOOLS_STATIC)")
  else()
    message(STATUS "Building a shared KLatexFormula tools library (klftools) (KLF_LIBKLFTOOLS_STATIC)")
  endif()
else()
#  message(FATAL_ERROR "There is nothing to build. You must set at least KLF_BUILD_TOOLS.")
endif()

if(KLF_LIBKLFTOOLS_STATIC)
  set(default_KLF_BUILD_TOOLSDESPLUGIN FALSE)
else()
  set(default_KLF_BUILD_TOOLSDESPLUGIN TRUE)
endif()
set(KLF_BUILD_TOOLSDESPLUGIN "${default_KLF_BUILD_TOOLSDESPLUGIN}" CACHE BOOL
  "Build Qt Designer Plugin for klftools library widgets")
if(KLF_BUILD_TOOLSDESPLUGIN)
  if(KLF_LIBKLFTOOLS_STATIC)
    message(FATAL_ERROR "Cannot build klftools designer plugin library with static klftools library (set KLF_BUILD_TOOLSDESPLUGIN=0 or KLF_LIBKLFTOOLS_STATIC=0)")
  endif()
  message(STATUS "Will build the klftools designer plugin library (KLF_BUILD_TOOLSDESPLUGIN)")
else()
  message(STATUS "Will not build the klftools designer plugin library (KLF_BUILD_TOOLSDESPLUGIN)")
endif()

#
# KLFBACKEND
#

option(KLF_BUILD_BACKEND "Build klatexformula backend library (klfbackend)" 1)
option(KLF_LIBKLFBACKEND_STATIC "Compile static libklfbackend backend library instead of shared."
  ${klf_default_libraries_static})
if(KLF_BUILD_BACKEND)
  if (NOT KLF_BUILD_TOOLS)
    message(FATAL_ERROR "Cannot build klfbackend without klftools (set KLF_BUILD_BACKEND=0 or KLF_BUILD_TOOLS=1)")
  endif()
  message(STATUS "Will build the klfbackend library (KLF_BUILD_BACKEND)")
  if(KLF_LIBKLFBACKEND_STATIC)
    message(STATUS "Building a static KLFBackend library (KLF_LIBKLFBACKEND_STATIC)")
  else()
    message(STATUS "Building a shared KLFBackend library (KLF_LIBKLFBACKEND_STATIC)")
  endif()
else()
  message(STATUS "Will not build the klfbackend library (KLF_BUILD_BACKEND)")
endif()


option(KLF_BUILD_BACKEND_AUTO "Build klatexformula autonomous backend library (klfbackend_auto)" 1)
option(KLF_LIBKLFBACKEND_AUTO_STATIC "Compile static libklfbackend_auto backend library instead of shared."
       TRUE)
if(KLF_BUILD_BACKEND_AUTO)
  message(STATUS "Will build autonomous klfbackend_auto without klftools dependency (KLF_BUILD_BACKEND_AUTO)")
  if(KLF_LIBKLFBACKEND_AUTO_STATIC)
    message(STATUS "Building a static klfbackend_auto autonomous library (KLF_LIBKLFBACKEND_AUTO_STATIC)")
  else()
    message(STATUS "Building a shared klfbackend_auto autonomous library (KLF_LIBKLFBACKEND_AUTO_STATIC)")
  endif()
else()
  message(STATUS "Will not build autonomous klfbackend_auto without klftools dependency (KLF_BUILD_BACKEND_AUTO)")
endif()

# Extra search paths 
if(KLF_BUILD_BACKEND OR KLF_BUILD_BACKEND_AUTO)
  set(KLF_EXTRA_SEARCH_PATHS "" CACHE STRING
    "Extra paths in which klfbackend (and klatexformula) will search for latex/dvips/etc. executables. Separate paths with ';' on all platforms")

  message(STATUS "Will prepend \"${KLF_EXTRA_SEARCH_PATHS}\" to klfbackend/klatexformula's
    latex/dvips/gs search paths (KLF_EXTRA_SEARCH_PATHS)")
endif()


option(KLF_BUILD_GUI "Build klatexformula GUI application (klatexformula) [requires klftools and klfbackend]" 1)
if(KLF_BUILD_GUI)
  if (NOT KLF_BUILD_TOOLS OR NOT KLF_BUILD_BACKEND)
    message(FATAL_ERROR "Cannot build the klatexformula GUI main application without klftools and klfbackend (set KLF_BUILD_BACKEND=1 and KLF_BUILD_TOOLS=1, or set KLF_BUILD_GUI=0)")
  endif()
  message(STATUS "Will build the main klatexformula program (GUI) (KLF_BUILD_GUI)")
else()
  message(STATUS "Will not build the main klatexformula program (GUI) (KLF_BUILD_GUI)")
endif()

if(APPLE)
  # These settings override on Mac OS X
  if(CMAKE_OSX_ARCHITECTURES)
    set(display_CMAKE_OSX_ARCHITECTURES "${CMAKE_OSX_ARCHITECTURES}")
  else(CMAKE_OSX_ARCHITECTURES)
    set(display_CMAKE_OSX_ARCHITECTURES "(default)")
  endif(CMAKE_OSX_ARCHITECTURES)
  message(STATUS "Compiling for Mac OS X Architectures: ${display_CMAKE_OSX_ARCHITECTURES} (CMAKE_OSX_ARCHITECTURES)")
  if(KLF_TARGET_ARCH_64 OR klf_changed_KLF_TARGET_ARCH_64)
    KLFNote("Warning: KLF_TARGET_ARCH_64 ignored on Mac OS X. Use CMAKE_OSX_ARCHITECTURES instead.")
  endif(KLF_TARGET_ARCH_64 OR klf_changed_KLF_TARGET_ARCH_64)
endif()


# Mac OS X: building frameworks + bundles ?
if(APPLE)
  option(KLF_MACOSX_BUNDLES
    "On Mac OS X: Build Bundles and Frameworks instead of UNIX-Style binaries" ON)
  option(KLF_MACOSX_BUNDLE_EXTRAS
    "[Mac OS X Bundles] Copy dependent libraries & resources into bundle, ready to be copied anywhere else and on other systems" ON)
else()
  # no need to put these in cache, it's irrelevant
  #
  # However let's keep the KLF_MACOSX_BUNDLES setting independent from
  # APPLE.  There may be systems on which we can create bundles, that
  # are not APPLE ??? not sure, but keep the possibility open.
  KLFSetIfNotDefined(KLF_MACOSX_BUNDLES OFF)
  KLFSetIfNotDefined(KLF_MACOSX_BUNDLE_EXTRAS OFF)
endif()

if(KLF_MACOSX_BUNDLES)

  if (KLF_MACOSX_BUNDLE_EXTRAS)
    message(STATUS
      "Will package library and framework dependencies into klatexformula app bundle (KLF_MACOSX_BUNDLE_EXTRAS)")
  else()
    message(STATUS

=== src/klfbackend/CMakeLists.txt ===
# ################################################### #
# CMake project file for klatexformula/src/klfbackend #
# ################################################### #
# $Id: CMakeLists.txt 977 2016-12-31 04:38:49Z phfaist $
# ################################################### #


set(klf_extra_search_paths_define_flags "")

if(KLF_EXTRA_SEARCH_PATHS)
  # Tell detectSettings() to go find latex at other locations, too
  set(klf_extra_search_paths "${KLF_EXTRA_SEARCH_PATHS}")
  # Transform ; list separators into C declaration string breaks
  string(REPLACE ";" "\",\"" klf_extra_search_paths "${klf_extra_search_paths}")
  set(klf_extra_search_paths_define_flags "-DKLF_EXTRA_SEARCH_PATHS=\"${klf_extra_search_paths}\"")
endif()


#
# Source files -- common to klfbackend and klfbackend_auto
#
set(klfbackend_SRCS
  klfbackend.cpp
  klfblockprocess.cpp
  klffilterprocess.cpp
  klflatexpreviewthread.cpp
  klfuserscript.cpp
  )
set(klfbackend_MOCHEADERS
  klfblockprocess.h
  klflatexpreviewthread.h
  klflatexpreviewthread_p.h
  klffilterprocess_p.h
  )
set(klfbackend_HEADERS
  klfbackend.h
  klfbackend_p.h
  klfuserscript.h
  klffilterprocess.h
  ${klfbackend_MOCHEADERS}
  )


if(KLF_BUILD_BACKEND)

  if (KLF_LIBKLFBACKEND_STATIC)
    add_library(klfbackend STATIC ${klfbackend_SRCS})
  else()
    add_library(klfbackend SHARED ${klfbackend_SRCS})
  endif()
  if (KLF_MACOSX_BUNDLES)
    set_target_properties(klfbackend PROPERTIES
      FRAMEWORK	TRUE
      )
  endif()

  target_include_directories(klfbackend PRIVATE "." "../klftools")

  # determine which headers are public and should be installed, and set the target property
  KLFInstHeaders(klfbackend_INSTHEADERS "${klfbackend_HEADERS}" "${CMAKE_CURRENT_SOURCE_DIR}")
  set_target_properties(klfbackend PROPERTIES
    VERSION		${KLF_LIB_VERSION}
    SOVERSION		${KLF_LIB_VERSION}
    PUBLIC_HEADER       "${klfbackend_INSTHEADERS}"
    )

  qt5_wrap_cpp(klfbackend_MOC_CPPS ${klfbackend_MOCHEADERS})
  target_sources(klfbackend PRIVATE ${klfbackend_MOC_CPPS})

  target_link_libraries(klfbackend PUBLIC Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml klftools)

  add_dependencies(klfbackend klftools)

endif(KLF_BUILD_BACKEND)


# ---- KLFBACKEND_AUTO library:

if (KLF_BUILD_BACKEND_AUTO)

  # -- import sources from klftools to build *klfbackend_auto* library --
  set(klfbackend_auto_ADDSRCS
        ../klftools/klfdefs.cpp
        ../klftools/klfdebug.cpp
        ../klftools/klfutil.cpp
        ../klftools/klfdatautil.cpp
        ../klftools/klfpobj.cpp
        ../klftools/klffactory.cpp
    )
  set(klfbackend_auto_ADDMOCHEADERS
        ../klftools/klfdebug.h
    )
  set(klfbackend_auto_ADDHEADERS
        ../klftools/klfdefs.h
        ../klftools/klfutil.h
        ../klftools/klfdatautil.h
        ../klftools/klfpobj.h
        ../klftools/klffactory.h
        ../klftools/klfsysinfo.h
        ${klfbackend_auto_ADDMOCHEADERS}
    )
  # --
  
  if (KLF_LIBKLFBACKEND_AUTO_STATIC)
    add_library(klfbackend_auto STATIC ${klfbackend_SRCS} ${klfbackend_auto_ADDSRCS})
  else()
    add_library(klfbackend_auto SHARED ${klfbackend_SRCS} ${klfbackend_auto_ADDSRCS})
  endif()
  if (KLF_MACOSX_BUNDLES)
    set_target_properties(klfbackend_auto PROPERTIES
      FRAMEWORK	TRUE
      )
  endif()
  set_target_properties(klfbackend_auto PROPERTIES
    VERSION		${KLF_LIB_VERSION}
    SOVERSION		${KLF_LIB_VERSION}
    )

  target_include_directories(klfbackend_auto PRIVATE "." "../klftools")

  # No need for public headers -- this library is meant to be distributed along another binary
  #  KLFInstHeaders(klfbackend_auto_INSTHEADERS "${klfbackend_HEADERS};${klfbackend_auto_ADDHEADERS}")
  #  set_target_properties(klfbackend_auto PROPERTIES
  #    PUBLIC_HEADER ""
  #    )

  qt5_wrap_cpp(klfbackend_auto_MOC_CPPS ${klfbackend_MOCHEADERS} ${klfbackend_auto_ADDMOCHEADERS})
  target_sources(klfbackend_auto PRIVATE ${klfbackend_auto_MOC_CPPS})
  
  target_link_libraries(klfbackend_auto PUBLIC Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml)

endif(KLF_BUILD_BACKEND_AUTO)



# Install Targets
# ---------------

if(KLF_BUILD_BACKEND)
  KLFInstallLibrary(klfbackend KLF_INSTALL_KLFBACKEND_ "klfbackend")
  # Note: No support for fixing up frameworks installed by "make install".
endif()


# --- and for klfbackend_auto :
if(KLF_BUILD_BACKEND_AUTO)
  KLFInstallLibrary(klfbackend_auto KLF_INSTALL_KLFBACKEND_AUTO_ "")
  # Note: No support for fixing up frameworks installed by "make install".
endif()

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Winchen <tobias@winchen.de>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                help2man,
                jdupes,
                libqt5svg5-dev,
@@ -12,7 +12,7 @@
                qtbase5-dev-tools,
                qttools5-dev
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 4.1.0
+Standards-Version: 4.2.0
 Vcs-Git: https://github.com/TobiasWinchen/klatexformula_debian.git
 Vcs-Browser: https://github.com/TobiasWinchen/klatexformula_debian
 Homepage: https://klatexformula.sourceforge.io/

## klatexformula 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # #################################### #
 # CMake project file for klatexformula #
 # #################################### #
-# $Id: CMakeLists.txt 1019 2017-02-07 06:20:02Z phfaist $
+# $Id$
 # #################################### #
 cmake_minimum_required(VERSION 3.1)
 
@@ -54,8 +54,7 @@
    For more options and help:
       - look at the stored cache variable documentation (displayed eg. by cmake-gui
         and ccmake, or directly in the CMakeCache.txt file)
-      - take a look at
-http://klatexformula.sourceforge.net/klfwiki/index.php/User_Manual:Downloading_%26_Installing
+      - take a look at https://klatexformula.sourceforge.io/doc/install
 
    And have a lot of fun!
 
@@ -304,3 +303,6 @@
       "Will package library and framework dependencies into klatexformula app bundle (KLF_MACOSX_BUNDLE_EXTRAS)")
   else()
     message(STATUS
+      "Will NOT package library and framework dependencies into klatexformula app bundle (KLF_MACOSX_BUNDLE_EXTRAS)")
+  endif()
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ######################################## #
 # CMake project file for klatexformula/src #
 # ######################################## #
-# $Id: CMakeLists.txt 1021 2017-02-07 06:44:42Z phfaist $
+# $Id$
 # ######################################## #
 
 
@@ -120,6 +120,7 @@
   set(klatexformula_TSS
     i18n/klf_fr.ts
     i18n/klf_cs.ts
+    i18n/klf_uk.ts
     )
   # Resources
   set(klatexformula_QRCS
@@ -341,3 +342,4 @@
   file(APPEND "${klf_xtradata_res}" "  <qresource prefix=\"data/fonts\">\n")
   # with bundles, we include the file itself in the bundle, not in qrc (see QTBUG-30917):
   if(NOT KLF_MACOSX_BUNDLES)
+    foreach(fnt ${KLF_INCLUDE_FONTS})

=== src/klfbackend/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ################################################### #
 # CMake project file for klatexformula/src/klfbackend #
 # ################################################### #
-# $Id: CMakeLists.txt 977 2016-12-31 04:38:49Z phfaist $
+# $Id$
 # ################################################### #

=== src/klftools/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ################################################# #
 # CMake project file for klatexformula/src/klftools #
 # ################################################# #
-# $Id: CMakeLists.txt 1019 2017-02-07 06:20:02Z phfaist $
+# $Id$
 # ################################################# #
 
 
@@ -148,7 +148,9 @@
       klfdefs_win.cpp
       )
   else()
-    # no platform-specific definitions
+    target_sources(klftools PRIVATE
+      klfdefs_otheros.cpp
+      )
   endif()

=== debian/changelog ===
klatexformula (4.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113081)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 17:01:28 +0200

klatexformula (4.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream commit 40d6fb87d7aff55a4c0e974aeff9fd1d918ad886 to
    properly use time_t as type for time(); patch
    upstream_Use-time_t-as-type-for-time.patch. (Closes: #1067545)

 -- Pino Toscano <pino@debian.org>  Mon, 27 May 2024 08:46:23 +0200

klatexformula (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Patch to add missing include (Closes: #974546)
  * Switched to debhelper compat 13
  * Updated to standards version 4.5.0
  * Add python version to userscripts and python3 to recommended packages
  * Added dependency on texlive-latex-base

 -- Tobias Winchen <tobias@winchen.de>  Fri, 13 Nov 2020 21:24:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Tobias Winchen <tobias@winchen.de>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper (>= 13),
+							 debhelper-compat (= 13),
                help2man,
                jdupes,
                libqt5svg5-dev,
@@ -12,14 +13,15 @@
                qtbase5-dev-tools,
                qttools5-dev
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/TobiasWinchen/klatexformula_debian.git
 Vcs-Browser: https://github.com/TobiasWinchen/klatexformula_debian
 Homepage: https://klatexformula.sourceforge.io/
 
 Package: klatexformula
 Architecture: any
-Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Depends: texlive-latex-base, libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3
 Description: GUI to easily get an image from a LaTeX formula or equation
  With klatexformula, just enter a formula and click "Evaluate" to get an image
  of a LaTeX formula. You can drag&drop, copy or save the resulting image

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_SKIP_RPATH=TRUE \
	-DKLF_BUILD_BACKEND_AUTO=FALSE \
	-DKLF_INSTALL_APIDOC_DIR=share/doc/libklatexformula4-doc \
	-DKLF_INSTALL_DESPLUGIN_DIR=lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer \
	-DKLF_INSTALL_ICON_THEME=share/icons/hicolor \
	-DKLF_INSTALL_POST_UPDATEMIMEDATABASE=FALSE \
	-DKLF_INSTALL_SHARE_PIXMAPS_DIR=FALSE \
	-DKLF_NO_CMU_FONT=TRUE

override_dh_auto_install:
	dh_auto_install
	jdupes -rl debian/tmp/
